<?php
#ansible managed
#$conf['endpoint']['local'] = 'http://marcus.uib.no/sparql/marcus-prod/query';
$conf['endpoint']['local'] = '{{ lodspeakr_endpoint_local }}';

//$conf['endpoint']['bibsys'] = 'http://marcus.uib.no/sparql/bibsys-auth/query';
//$conf['endpoint']['dbpedia'] = 'http://dbpedia.org/sparql';
$conf['endpoint']['dbpedia'] = 'http://live.dbpedia.org/sparql';
//$conf['endpoint']['bibsys'] = 'http://129.241.16.42:9999/blazegraph/namespace/metadata/sparql';
//$conf['endpoint']['dbpedia'] = 'http://dbpedia-live.openlinksw.com/sparql';
$conf['home'] = '{{ lodspeakr_home | regex_replace('([^/])$','\\1/') }}';
$conf['basedir'] = '{{ lodspeakr_basedir }}';
$conf['debug'] = {{ lodspeakr_debug | default('false') }};
$conf['root'] = '{{ lodspeakr_root | default('home') }}';
//$conf['cache']['global'] = 1200;

$conf['ns']['base']   = 'http://data.ub.uib.no/';
$conf['ns']['local'] = 'http://data.ub.uib.no/';
$conf['ns']['scheme'] = 'http://marcus.uib.no/instance/charter/';
$conf['ns']['ubbinst'] ='http://data.ub.uib.no/instances/';
$conf['ns']['ubbont'] = 'http://data.ub.uib.no/ontology/';
$conf['ns']['dct'] = 'http://purl.org/dc/terms/';
$conf['ns']['rdf'] = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#';
$conf['ns']['rdfs'] = 'http://www.w3.org/2000/01/rdf-schema#';
$conf['ns']['text'] = 'http://jena.apache.org/text#';
$conf['ns']['skos'] = 'http://www.w3.org/2004/02/skos/core#';
$conf['ns']['foaf'] = 'http://xmlns.com/foaf/0.1/';
$conf['ns']['schema'] = 'http://schema.org/';
$conf['ns']['bibo'] = 'http://purl.org/ontology/bibo/';
// $conf['mirror_external_uris'] = true;
$conf['mirror_external_uris'] = $conf['ns']['base'];

// Cherry-picked components (see https://github.com/alangrafu/lodspeakr/wiki/Reuse-cherry-picked-components-from-other-repositories)


// Variables in  can be used to store user info.
// For examples, 'title' will be used in the header.
// (You can forget about all conventions and use your own as well)
$lodspk['title'] = '{{ lodspeakr_title | default('Marcus')}}';
$lodspk['subtitle'] = '{{ lodspeakr_subtitle | default('Spesialsamlingen ved Universitetet i Bergen') }}';
$lodspk['currentDate'] = date("D M d, Y");


{% if lodspeakr_typesAndValues is defined %}
$conf['typesAndValues'] = {{ lodspeakr_typesAndValues }}
{% endif %}

/*ATTENTION: By default this application is available to
 * be exported and copied (its configuration)
 * by others. If you do not want that,
 * turn the next option as false
 */
$conf['export'] = false;

$conf['static']['haanga'] = true;

$conf['modules']['available'] = array('static','service','uri','type','admin');

$conf['http_accept']['ris'] = array('application/x-research-info-systems');

$conf['static']['mimetypes']['svg'] = 'application/svg+xml';

?>
